[core]
    excludesfile = ~/.gitignore
    editor = "vim '+normal gg0' +startinsert"
[user]
    email = contact@tobast.fr
    name = Théophile Bastian
    signingkey = 7B784C5D
[push]
    default = simple
[pull]
    rebase = true
[alias]
    publish = !sh -c 'BRANCH=$(git symbolic-ref --short HEAD) && \
        git fetch . $BRANCH:master'
    pushblish = !git publish && git push origin master
    update-with-master = !sh -c 'BRANCH=$(git symbolic-ref --short HEAD) && \
        git checkout master && git pull -r && git checkout "$BRANCH" && \
        git rebase master'
    graph = log --graph --abbrev-commit --decorate --format=format:'%C(bold blue)%h%C(reset) - %C(bold green)(%ar)%C(reset) %C(white)%s%C(reset) %C(dim white)- %an%C(reset)%C(bold yellow)%d%C(reset)' --all
    slog = log --abbrev-commit --decorate --format=format:'%C(bold blue)%h%C(reset) - %C(bold green)(%ar)%C(reset) %C(white)%s%C(reset) %C(dim white)- %an%C(reset)'
    fpush = push --force-with-lease
